/* ----------------------------------------------------------------------------
 *
 * Raima Database Manager
 *
 * Copyright (c) 2012 Raima Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 *
 * ----------------------------------------------------------------------------
 */

/* EXAMPLE - Timestamp Datatype for C using Cursors */
/* This is the DDL (Database Definition Language) for a single field,
 * single record-type database. The one record type is called TimestampRecord,
 * and it's one field, timestampCol, can store a timestamp. The program
 * will create a new record containing a timestamp in the field, then
 * it will read through all records in the database and print their
 * contents.
 */
database CursorTimestamp_db {
    data file "CursorTimestamp_db.dat" contains TimestampRecord;

    record TimestampRecord {
        timestamp    timestampCol;
    }
}

